Subject: [Feature request]: add option to dd to fsync|fdatasync after each block written

From: Марк Коренберг <[email-masked]>
Date: Wed, 17 Nov 2010 15:19:33 +0500

[Feature request]: add option to dd to fsync|fdatasync after each block written

Suppose I want to show progress with:

pv image.img | dd bs=16M of=/dev/sdc

it will not work, as dd will write to sdc momentarily. dd will hang on
close(1) waiting for actual write to complete (tested on USB stick
Linux 2.6.32)

I decide to use  oflag=direct. It help, OK. But: http://kerneltrap.org/node/7563

It will be nice if, dd will be able to fsync/fdatasync after each block.

I think, it is useful for other usages.

-- 
Segmentation fault